Bug 480167 - (CVE-2008-5814) CVE-2008-5814 php: XSS via PHP error messages
CVE-2008-5814 php: XSS via PHP error messages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20090102,public=2...
: Security
Depends On: 487368 487369 487370 487371
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 10:15 EST by Tomas Hoger
Modified: 2016-03-04 06:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-01-15 10:15:26 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5814 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in PHP, possibly 5.2.7 and earlier,
when display_errors is enabled, allows remote attackers to inject arbitrary web
script or HTML via unspecified vectors. NOTE: because of the lack of details,
it is unclear whether this is related to CVE-2006-0208.

References:
http://jvndb.jvn.jp/en/contents/2008/JVNDB-2008-000084.html
http://jvn.jp/en/jp/JVN50327700/index.html
Comment 1 Tomas Hoger 2009-01-15 10:17:05 EST
PHP packages as shipped in Red Hat Enterprise Linux 4 and later set display_errors to off in the default php.ini configuration file.

Default setting for display_errors in PHP packages in Red Hat Enterprise Linux 2.1 and 3 is on.
Comment 8 errata-xmlrpc 2009-04-06 12:38:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0338 https://rhn.redhat.com/errata/RHSA-2009-0338.html
Comment 9 errata-xmlrpc 2009-04-14 13:14:53 EDT
This issue has been addressed in following products:

  Red Hat Web Application Stack for RHEL 5

Via RHSA-2009:0350 https://rhn.redhat.com/errata/RHSA-2009-0350.html
Comment 10 Tomas Hoger 2010-03-29 04:50:42 EDT
This issue did not affect PHP versions in Red Hat Enterprise Linux 2.1, 3 and 4.

Note You need to log in before you can comment on or make changes to this bug.